Summary: Enhanced c-shell
Name: tcsh
Version: 6.07
Release: 1
Copyright: distributable
Group: Shells
Source: ftp://ftp.ee.cornell.edu/pub/tcsh/tcsh-6.07.tar.gz
Patch0: tcsh-6.06-sparc.patch
Patch1: tcsh-6.06-getutent.patch
Patch2: tcsh-6.06-termios.patch
Provides: csh
Prereq: fileutils grep
BuildRoot: /tmp/tcsh-root

%changelog
* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.

%description
'tcsh' is an enhanced version of csh (the C shell), with additional features
such as command history, filename completion, and fancier prompts.

%prep
%setup -n tcsh-6.07.02
%patch0 -p1 -b .sparc
%patch1 -p1 -b .getutent
%patch2 -p1 -b .termios

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/bin
install -m 755 -s tcsh $RPM_BUILD_ROOT/bin/tcsh
install -m 644 tcsh.man $RPM_BUILD_ROOT/usr/man/man1/tcsh.1
ln -sf tcsh $RPM_BUILD_ROOT/bin/csh
nroff -me eight-bit.me > eight-bit.txt
gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" > /etc/shells
	echo "/bin/csh" > /etc/shells
else
	grep '^/bin/tcsh$' /etc/shells > /dev/null || echo "/bin/tcsh" >> /etc/shells
	grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
	mv /etc/shells.rpm /etc/shells
fi

%files
%doc NewThings FAQ eight-bit.txt complete.tcsh
/bin/tcsh
/bin/csh
/usr/man/man1/tcsh.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

